深圳市中科世为科技有限公司论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
热搜: 活动 交友 discuz
查看: 2620|回复: 0

IDE更新后,原有项目添加最新的功能后编译报错处理方法

[复制链接]

3

主题

3

帖子

37

积分

超级版主

Rank: 8Rank: 8

积分
37
发表于 2019-5-18 11:11:16 | 显示全部楼层 |阅读模式
本帖最后由 daijian 于 2019-5-18 10:56 编辑

当FlyThings IDE工具更新或者单独更新SDK后,我们用它打开旧有的项目,并在项目中使用新版IDE工具添加的功能,有时在编译时会报类似下图的错误,

这是因为在之前的项目文件中,没有包含新添加功能的头文件或者接口函数,所以编译出错。此时,我们只需要用最新的IDE(IDE和SDK更新链接)新建一个项目,然后将新项目路径下jni文件夹中include文件夹下的所有文件和libeasyui.so文件复制到当前项目路径下并覆盖原有文件,再重新编译就可以了。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋|深圳市中科世为科技有限公司 ( 粤ICP备17144184号 )

GMT+8, 2021-1-20 01:52 , Processed in 0.012462 second(s), 18 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表